Index: BOOK/appendices/dependencies/arm.xml
===================================================================
--- BOOK/appendices/dependencies/arm.xml	(revision 6fabb09dcfaef192a85fef2887a7b19ef339a671)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE appendix PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<appendix id="appendixc-arm" xreflabel="Appendix C">
-  <?dbhtml dir="appendixc"?>
-  <?dbhtml filename="arm-dependencies.html"?>
-
-  <title>ARM Dependencies</title>
-
-  <para>This page contains dependency information for packages specific to arm.</para>
-
-</appendix>
Index: BOOK/appendices/dependencies/common.xml
===================================================================
--- BOOK/appendices/dependencies/common.xml	(revision 6fabb09dcfaef192a85fef2887a7b19ef339a671)
+++ 	(revision )
@@ -1,224 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE appendix PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<appendix id="appendixc" xreflabel="Appendix C">
-  <?dbhtml dir="appendixc"?>
-  <?dbhtml filename="dependencies.html"?>
-
-  <title>Dependencies</title>
-
-  <para>Every package built in CLFS relies on one or more other packages
-  in order to build and install properly. Some packages even participate
-  in circular dependencies, that is, the first package depends on the second
-  which in turn depends on the first. Because of these dependencies, the
-  order in which packages are built in CLFS is very important. The purpose
-  of this page is to document the dependencies of each package built in CLFS.</para>
-
-  <para>For each package we build, we have listed three types of dependencies.
-  The first lists what other packages need to be available in order to compile
-  and install the package in question. The second lists what packages, in
-  addition to those on the first list, need to be available in order to run the
-  testsuites. The last list of dependencies are packages that require this
-  package to be built and installed in its final location before they are built
-  and installed. In most cases, this is because these packages will hardcode
-  paths to binaries within their scripts. If not built in a certain order,
-  this could result in paths of /tools/bin/[binary] being placed inside
-  scripts installed to the final system. This is obviously not desirable.
-  </para>
-
-<!-- Begin Binutils dependency info -->
-  <bridgehead renderas="sect2" id="binutils-dep">Binutils</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Bash, Binutils, Coreutils, Diffutils, File, GCC, Gettext, Glibc,
-         Grep, Make, Perl, Sed and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>DejaGNU and Expect</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-<!-- Begin CLFS-Bootscripts dependency info -->
-  <bridgehead renderas="sect2" id="bootscripts-dep">CLFS-Bootscripts</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Bash, Coreutils, Make and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-<!-- Begin Gcc dependency info -->
-  <bridgehead renderas="sect2" id="gcc-dep">Gcc</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, Gawk, GCC,
-	 Gettext, Glibc, Grep, Make, Patch, Perl, Sed, Tar and Texinfo</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>DejaGNU and Expect</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-<!-- Begin Linux-Headers dependency info -->
-  <bridgehead renderas="sect2" id="linux-headers-dep">Linux-Headers</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Coreutils and Findutils</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>No testsuite available</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-<!-- Begin Linux Kernel dependency info -->
-  <bridgehead renderas="sect2" id="linux-dep">Linux Kernel</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, GCC, Glibc, Grep,
-	 Gzip, Make, Mktemp, Module-Init-Tools, Ncurses and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>No testsuite available</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-<!-- Begin Udev dependency info -->
-  <bridgehead renderas="sect2" id="udev-dep">Udev</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Binutils, Coreutils, GCC, Glibc and Make</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>Findutils, Perl and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-<!-- Begin Udev Rules dependency info -->
-  <bridgehead renderas="sect2" id="udev-rules-dep">Udev Rules</bridgehead>
-
-      <segmentedlist>
-        <segtitle>&dependencies;</segtitle>
-
-        <seglistitem>
-         <seg>Bash, Coreutils, Make and Sed</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&testsuites;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
-
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-</appendix>
Index: BOOK/appendices/dependencies/mips.xml
===================================================================
--- BOOK/appendices/dependencies/mips.xml	(revision 6fabb09dcfaef192a85fef2887a7b19ef339a671)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE appendix PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<appendix id="appendixc-mips" xreflabel="Appendix C">
-  <?dbhtml dir="appendixc"?>
-  <?dbhtml filename="mips-dependencies.html"?>
-
-  <title>MIPS Dependencies</title>
-
-  <para>This page contains dependency information for packages specific to MIPS.</para>
-
-</appendix>
Index: BOOK/appendices/dependencies/x86.xml
===================================================================
--- BOOK/appendices/dependencies/x86.xml	(revision 6fabb09dcfaef192a85fef2887a7b19ef339a671)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE appendix PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<appendix id="appendixc-x86" xreflabel="Appendix C">
-  <?dbhtml dir="appendixc"?>
-  <?dbhtml filename="x86-dependencies.html"?>
-
-  <title>x86 Dependencies</title>
-
-  <para>This page contains dependency information for packages specific to x86.</para>
-
-</appendix>
Index: BOOK/arm-index.xml
===================================================================
--- BOOK/arm-index.xml	(revision 6fabb09dcfaef192a85fef2887a7b19ef339a671)
+++ BOOK/arm-index.xml	(revision 57785d53cace51e24b00c4f7b6a0c1addc438564)
@@ -78,6 +78,4 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/acronymlist.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/dependencies/common.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/dependencies/arm.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/license.xml"/>
 
Index: BOOK/mips-index.xml
===================================================================
--- BOOK/mips-index.xml	(revision 6fabb09dcfaef192a85fef2887a7b19ef339a671)
+++ BOOK/mips-index.xml	(revision 57785d53cace51e24b00c4f7b6a0c1addc438564)
@@ -78,6 +78,4 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/acronymlist.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/dependencies/common.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/dependencies/mips.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/license.xml"/>
 
Index: BOOK/x86-index.xml
===================================================================
--- BOOK/x86-index.xml	(revision 6fabb09dcfaef192a85fef2887a7b19ef339a671)
+++ BOOK/x86-index.xml	(revision 57785d53cace51e24b00c4f7b6a0c1addc438564)
@@ -79,6 +79,4 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/acronymlist.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/dependencies/common.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/dependencies/x86.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="appendices/license.xml"/>
 