Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 5a2ff30ea86b220d177bf8a2f4af577f7ac818bb)
+++ BOOK/general.ent	(revision 60047d2a2168ccace9ce9daeba151bd0b4d09e51)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY version "CLFS-SVN-20051118">
+<!ENTITY version "CLFS-SVN-20051119">
 <!ENTITY version-x86 "&version;-x86">
 <!ENTITY version-x86_64 "&version;-x86_64-Multilib">
@@ -14,5 +14,5 @@
 <!ENTITY version-alpha "&version;-ALPHA">
 
-<!ENTITY releasedate "November 18, 2005">
+<!ENTITY releasedate "November 19, 2005">
 <!ENTITY milestone "0.1">
 <!ENTITY generic-version "svn"> <!-- Use "svn", "testing", or "x.y[-pre{x}]" -->
Index: BOOK/mips64-64-index.xml
===================================================================
--- BOOK/mips64-64-index.xml	(revision 5a2ff30ea86b220d177bf8a2f4af577f7ac818bb)
+++ BOOK/mips64-64-index.xml	(revision 60047d2a2168ccace9ce9daeba151bd0b4d09e51)
@@ -60,5 +60,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/mips64-64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/mips64-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/mips64-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/mips-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>
 
Index: BOOK/mips64-index.xml
===================================================================
--- BOOK/mips64-index.xml	(revision 5a2ff30ea86b220d177bf8a2f4af577f7ac818bb)
+++ BOOK/mips64-index.xml	(revision 60047d2a2168ccace9ce9daeba151bd0b4d09e51)
@@ -60,5 +60,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/mips64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/mips64-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/mips64-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/mips-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>
 
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 5a2ff30ea86b220d177bf8a2f4af577f7ac818bb)
+++ BOOK/packages.ent	(revision 60047d2a2168ccace9ce9daeba151bd0b4d09e51)
@@ -151,67 +151,11 @@
 <!ENTITY linux-dl-version "2.6">
 
-<!ENTITY linux-x86-version "2.6.14.2">
-<!ENTITY linux-x86-size "37 MB">
-<!ENTITY linux-x86-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-x86-version;.tar.bz2">
-
-<!ENTITY linux-x86_64-version "2.6.14.2">
-<!ENTITY linux-x86_64-size "37 MB">
-<!ENTITY linux-x86_64-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-x86_64-version;.tar.bz2">
-
-<!ENTITY linux-ppc-version "2.6.14.2">
-<!ENTITY linux-ppc-size "37 MB">
-<!ENTITY linux-ppc-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-ppc-version;.tar.bz2">
-
-<!ENTITY linux-mips-version "2.6.14.2">
-<!ENTITY linux-mips-size "37 MB">
-<!ENTITY linux-mips-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-mips-version;.tar.bz2">
-
-<!ENTITY linux-mips64-version "2.6.14.2">
-<!ENTITY linux-mips64-size "37 MB">
-<!ENTITY linux-mips64-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-mips64-version;.tar.bz2">
-
-<!ENTITY linux-sparc-version "2.6.14.2">
-<!ENTITY linux-sparc-size "37 MB">
-<!ENTITY linux-sparc-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-sparc-version;.tar.bz2">
-
-<!ENTITY linux-sparc64-version "2.6.14.2">
-<!ENTITY linux-sparc64-size "37 MB">
-<!ENTITY linux-sparc64-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-sparc64-version;.tar.bz2">
-
-<!ENTITY linux-alpha-version "2.6.14.2">
-<!ENTITY linux-alpha-size "37 MB">
-<!ENTITY linux-alpha-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-alpha-version;.tar.bz2">
-
-<!ENTITY linux-libc-headers-x86-version "2.6.12.0">
-<!ENTITY linux-libc-headers-x86-size "2.5 MB">
-<!ENTITY linux-libc-headers-x86-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-x86-version;.tar.bz2">
-
-<!ENTITY linux-libc-headers-x86_64-version "2.6.12.0">
-<!ENTITY linux-libc-headers-x86_64-size "2.5 MB">
-<!ENTITY linux-libc-headers-x86_64-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-x86_64-version;.tar.bz2">
-
-<!ENTITY linux-libc-headers-ppc-version "2.6.12.0">
-<!ENTITY linux-libc-headers-ppc-size "2.5 MB">
-<!ENTITY linux-libc-headers-ppc-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-ppc-version;.tar.bz2">
-
-<!ENTITY linux-libc-headers-mips-version "2.6.12.0">
-<!ENTITY linux-libc-headers-mips-size "2.6 MB">
-<!ENTITY linux-libc-headers-mips-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-mips-version;.tar.bz2">
-
-<!ENTITY linux-libc-headers-mips64-version "2.6.12.0">
-<!ENTITY linux-libc-headers-mips64-size "2.6 MB">
-<!ENTITY linux-libc-headers-mips64-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-mips64-version;.tar.bz2">
-
-<!ENTITY linux-libc-headers-sparc-version "2.6.12.0">
-<!ENTITY linux-libc-headers-sparc-size "2.6 MB">
-<!ENTITY linux-libc-headers-sparc-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-sparc-version;.tar.bz2">
-
-<!ENTITY linux-libc-headers-sparc64-version "2.6.12.0">
-<!ENTITY linux-libc-headers-sparc64-size "2.6 MB">
-<!ENTITY linux-libc-headers-sparc64-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-sparc64-version;.tar.bz2">
-
-<!ENTITY linux-libc-headers-alpha-version "2.6.12.0">
-<!ENTITY linux-libc-headers-alpha-size "2.6 MB">
-<!ENTITY linux-libc-headers-alpha-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-alpha-version;.tar.bz2">
+<!ENTITY linux-version "2.6.14.2">
+<!ENTITY linux-size "37 MB">
+<!ENTITY linux-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-version;.tar.bz2">
+
+<!ENTITY linux-libc-headers-version "2.6.12.0">
+<!ENTITY linux-libc-headers-size "2.5 MB">
+<!ENTITY linux-libc-headers-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-version;.tar.bz2">
 
 <!ENTITY m4-version "1.4.3">
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 5a2ff30ea86b220d177bf8a2f4af577f7ac818bb)
+++ BOOK/patches.ent	(revision 60047d2a2168ccace9ce9daeba151bd0b4d09e51)
@@ -66,5 +66,5 @@
 <!ENTITY coreutils-x86_uname-patch "coreutils-&coreutils-version;-uname-1.patch">
 
-<!ENTITY linux-libc-headers-x86_64_biarch-patch "linux-libc-headers-&linux-libc-headers-x86_64-version;-x86_64_biarch-1.patch">
+<!ENTITY linux-libc-headers-x86_64_biarch-patch "linux-libc-headers-&linux-libc-headers-version;-x86_64_biarch-1.patch">
 
 <!-- Start of ppc patches -->
@@ -81,6 +81,6 @@
 <!ENTITY glibc-sparc_tls-patch "glibc-&glibc-version;-sparc_tls-1.patch">
 
-<!ENTITY linux-libc-headers-sparc_biarch-patch "linux-libc-headers-&linux-libc-headers-sparc64-version;-sparc_biarch-1.patch">
-<!ENTITY linux-libc-headers-sparc_conflicts-patch "linux-libc-headers-&linux-libc-headers-sparc-version;-sparc_conflicts-1.patch">
+<!ENTITY linux-libc-headers-sparc_biarch-patch "linux-libc-headers-&linux-libc-headers-version;-sparc_biarch-1.patch">
+<!ENTITY linux-libc-headers-sparc_conflicts-patch "linux-libc-headers-&linux-libc-headers-version;-sparc_conflicts-1.patch">
 
 <!ENTITY kbd-sparc_kbdrate-patch "kbd-&kbd-version;-sparc_kbdrate-1.patch">
@@ -101,4 +101,13 @@
 <!ENTITY grep-mips_update-patch "grep-&grep-version;-mips_config_update-1.patch">
 
+<!ENTITY lfs-bootscripts-raq2-patch "lfs-bootscripts-raq2-8.patch">
+
+<!ENTITY linux-mips-patch "linux-&linux-version;-mips-1.patch">
+<!ENTITY linux-mips_fix-patch "linux-&linux-version;-mips_fix-1.patch">
+
+<!ENTITY linux-libc-headers-mips_tls-patch "linux-libc-headers-&linux-libc-headers-version;-mips_tls-1.patch">
+
+<!ENTITY linux-libc-headers-mips_atomic_fix-patch "linux-libc-headers-&linux-libc-headers-version;-mips_atomic_fix-1.patch">
+
 <!ENTITY make-mips_update-patch "make-&make-version;-mips_config_update-1.patch">
 
@@ -106,14 +115,4 @@
 
 <!ENTITY module-init-tools-mips_update-patch "module-init-tools-&module-init-tools-version;-mips_config_update-1.patch">
-
-<!ENTITY lfs-bootscripts-raq2-patch "lfs-bootscripts-raq2-8.patch">
-
-<!ENTITY linux-mips-patch "linux-&linux-mips-version;-mips-1.patch">
-<!ENTITY linux-mips_fix-patch "linux-&linux-mips-version;-mips_fix-1.patch">
-
-<!ENTITY linux-libc-headers-mips_tls-patch "linux-libc-headers-&linux-libc-headers-mips-version;-mips_tls-1.patch">
-
-<!ENTITY linux-libc-headers-mips_atomic_fix-patch "linux-libc-headers-&linux-libc-headers-mips-version;-mips_atomic_fix-1.patch">
-
 
 <!ENTITY procps-mips-patch "procps-&procps-version;-fix_mips-1.patch">
Index: BOOK/sparc64-64-index.xml
===================================================================
--- BOOK/sparc64-64-index.xml	(revision 5a2ff30ea86b220d177bf8a2f4af577f7ac818bb)
+++ BOOK/sparc64-64-index.xml	(revision 60047d2a2168ccace9ce9daeba151bd0b4d09e51)
@@ -62,5 +62,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/sparc64-64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/sparc64-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/sparc64-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/sparc-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>
 
Index: BOOK/sparc64-index.xml
===================================================================
--- BOOK/sparc64-index.xml	(revision 5a2ff30ea86b220d177bf8a2f4af577f7ac818bb)
+++ BOOK/sparc64-index.xml	(revision 60047d2a2168ccace9ce9daeba151bd0b4d09e51)
@@ -62,5 +62,5 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="final-system/sparc64-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts/sparc64-chapter.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/sparc64-chapter.xml"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootable/sparc-chapter.xml"/>
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="the-end/chapter.xml"/>
 