Index: BOOK/final-system/common/glibc.xml
===================================================================
--- BOOK/final-system/common/glibc.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/common/glibc.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -40,14 +40,8 @@
 
     <para os="l1">At the end of the installation, the build system will run
-    a sanity test to make sure everything installed properly. This script will
-    attempt to test for a library that is only used in the test suite and is
-    never installed. Prevent the script from testing for this library with the
-    following command:</para>
-
-<screen os="l2"><userinput>sed -i 's/\(&amp;&amp; $name ne\) "db1"/ &amp; \1 "nss_test1"/' scripts/test-installation.pl</userinput></screen>
-
-    <para os="l3">This same script performs its tests by attempting to compile
-    test programs against certain libraries. However it does not specify the
-    path to <filename class="libraryfile">ld.so</filename>, and our toolchain
+    a sanity test to make sure everything installed properly. This script
+    performs its tests by attempting to compile test programs against certain
+    libraries. However it does not specify the path to
+    <filename class="libraryfile">ld.so</filename>, and our toolchain
     is still configured to use the one in
     <filename class="directory">/tools</filename>. The following set of
@@ -55,5 +49,5 @@
     <filename class="libraryfile">ld.so</filename> that was just installed:</para>
 
-<screen os="l4"><userinput>LINKER=$(readelf -l /tools/bin/bash | sed -n 's@.*interpret.*/tools\(.*\)]$@\1@p')
+<screen os="l2"><userinput>LINKER=$(readelf -l /tools/bin/bash | sed -n 's@.*interpret.*/tools\(.*\)]$@\1@p')
 sed -i "s|libs -o|libs -L/usr/lib -Wl,-dynamic-linker=${LINKER} -o|" \
   scripts/test-installation.pl
Index: BOOK/final-system/mips64-64/glibc.xml
===================================================================
--- BOOK/final-system/mips64-64/glibc.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/mips64-64/glibc.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -33,12 +33,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/mips64/glibc-64bit.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/mips64/glibc-64bit.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -24,17 +24,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='l1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
+    href="../multilib/glibc-64bit.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/glibc-64bit.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64/glibc-n32.xml
===================================================================
--- BOOK/final-system/mips64/glibc-n32.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/mips64/glibc-n32.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -26,13 +26,5 @@
     xpointer="xpointer(//*[@os='l1'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-<screen os="l4"><userinput>LINKER=$(readelf -l /tools/bin/bash | sed -n 's@.*interpret.*/tools\(.*\)]$@\1@p')
+<screen os="l2"><userinput>LINKER=$(readelf -l /tools/bin/bash | sed -n 's@.*interpret.*/tools\(.*\)]$@\1@p')
 sed -i "s|libs -o|libs -L/usr/lib32 -Wl,-dynamic-linker=${LINKER} -o|" \
   scripts/test-installation.pl
Index: BOOK/final-system/multilib/glibc-64bit.xml
===================================================================
--- BOOK/final-system/multilib/glibc-64bit.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/multilib/glibc-64bit.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -26,13 +26,5 @@
     xpointer="xpointer(//*[@os='l1'])"/>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-<screen os="l4"><userinput>LINKER=$(readelf -l /tools/bin/bash | sed -n 's@.*interpret.*/tools\(.*\)]$@\1@p')
+<screen os="l2"><userinput>LINKER=$(readelf -l /tools/bin/bash | sed -n 's@.*interpret.*/tools\(.*\)]$@\1@p')
 sed -i "s|libs -o|libs -L/usr/lib64 -Wl,-dynamic-linker=${LINKER} -o|" \
   scripts/test-installation.pl
Index: BOOK/final-system/multilib/glibc.xml
===================================================================
--- BOOK/final-system/multilib/glibc.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/multilib/glibc.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -34,12 +34,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc/glibc.xml
===================================================================
--- BOOK/final-system/ppc/glibc.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/ppc/glibc.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -33,12 +33,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc64-64/glibc.xml
===================================================================
--- BOOK/final-system/ppc64-64/glibc.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/ppc64-64/glibc.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -33,12 +33,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/ppc64/glibc-64bit.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/ppc64/glibc-64bit.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -27,14 +27,6 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
+    href="../multilib/glibc-64bit.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/glibc-64bit.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc64/glibc.xml
===================================================================
--- BOOK/final-system/ppc64/glibc.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/ppc64/glibc.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -34,12 +34,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/sparc64-64/glibc.xml
===================================================================
--- BOOK/final-system/sparc64-64/glibc.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/sparc64-64/glibc.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -33,12 +33,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/sparc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/sparc64/glibc-64bit.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/sparc64/glibc-64bit.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -27,14 +27,6 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
+    href="../multilib/glibc-64bit.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/glibc-64bit.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86/glibc.xml
===================================================================
--- BOOK/final-system/x86/glibc.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/x86/glibc.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -33,12 +33,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86_64-64/glibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/glibc.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/x86_64-64/glibc.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -33,12 +33,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86_64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/x86_64/glibc-64bit.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/final-system/x86_64/glibc-64bit.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -27,14 +27,6 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
+    href="../multilib/glibc-64bit.xml"
     xpointer="xpointer(//*[@os='l2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='l3'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/glibc-64bit.xml"
-    xpointer="xpointer(//*[@os='l4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 4b96748f53d7b7d88bc8aa7c312dda98f95f91f0)
+++ BOOK/introduction/common/changelog.xml	(revision 74592cf2208ae5c38137af201fb7949e32d9ad27)
@@ -38,4 +38,14 @@
 
     <listitem>
+      <para>14 August 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Removed obsolete command to disable test lib
+          in Glibc instructions.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>10 August 2014</para>
       <itemizedlist>