Index: BOOK/final-system/alpha-chapter.xml
===================================================================
--- BOOK/final-system/alpha-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/alpha-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -69,4 +69,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/final-system/common/intltool.xml
===================================================================
--- BOOK/final-system/common/intltool.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
+++ BOOK/final-system/common/intltool.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -0,0 +1,77 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-system-intltool" role="wrap">
+  <?dbhtml filename="intltool.html"?>
+
+  <title>Intltool-&intltool-version;</title>
+
+  <indexterm zone="ch-system-intltool">
+    <primary sortas="a-Intltool">Intltool</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title/>
+
+    <para>The Intltool package contains internationalization tools.</para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Intltool</title>
+
+    <para os="a">Prepare Intltool for compilation:</para>
+
+<screen os="b"><userinput>./configure --prefix=/usr</userinput></screen>
+
+    <para os="c">Compile the package:</para>
+
+<screen os="d"><userinput>make</userinput></screen>
+
+    <para os="e">To test the results, issue:</para>
+
+<screen os="e2"><userinput remap="test">make check</userinput></screen>
+
+    <para os="f">Install the package:</para>
+
+<screen os="g"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 id="contents-intltool" role="content">
+    <title>Contents of Intltool</title>
+
+    <segmentedlist>
+      <segtitle>Installed programs</segtitle>
+
+      <seglistitem>
+        <seg>intltool-extract</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="intltool-extract">
+        <term><command>intltool-extract</command></term>
+        <listitem>
+          <para>Tries to classify each given file; it does this by performing
+          several tests&mdash;file system tests, magic number tests, and
+          language tests</para>
+          <indexterm zone="ch-system-file intltool-extract">
+            <primary sortas="b-intltool-extract">intltool-extract</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/mips-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -69,4 +69,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -69,4 +69,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/mips64-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -116,4 +116,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expat-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus-n32.xml"/>
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/ppc-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -69,4 +69,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/final-system/ppc64-64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-64-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/ppc64-64-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -67,4 +67,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/patch.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -93,4 +93,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expat-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus-64bit.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/sparc-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -69,4 +69,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -69,4 +69,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -92,4 +92,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expat-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/x86-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -69,4 +69,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -69,4 +69,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/expat.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -93,4 +93,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/expat-64bit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xml-parser.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/intltool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dbus-64bit.xml"/>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/introduction/common/changelog.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -43,4 +43,8 @@
           <para>[Chris] - Updated Systemd to 208.</para>
         </listitem>
+        <listitem>
+          <para>[Chris] - Added Gperf, XML::Parser, Intltool, and ACL - needed
+          by systemd.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: BOOK/materials/common/packages.xml
===================================================================
--- BOOK/materials/common/packages.xml	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/materials/common/packages.xml	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -322,4 +322,13 @@
 
     <varlistentry>
+      <term>Intltool (&intltool-version;) - <token>&intltool-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&intltool-home;"/></para>
+        <para>Download: <ulink url="&intltool-url;"/></para>
+        <para>MD5 sum: <literal>&intltool-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry>
       <term>IPRoute2 (&iproute2-version;) - <token>&iproute2-size;</token>:</term>
       <listitem>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 0d59afe93b9129292b9194b477dfac657c68d988)
+++ BOOK/packages.ent	(revision 79071faec0e1f13b898fa04e398f81b379050947)
@@ -257,4 +257,10 @@
 
 
+<!ENTITY intltool-version "0.50.2">
+<!ENTITY intltool-size "192 KB">
+<!ENTITY intltool-url "http://launchpad.net/intltool/trunk/&intltool-version;/+download/intltool-&intltool-version;.tar.gz">
+<!ENTITY intltool-md5 "23fbd879118253cb99aeac067da5f591">
+<!ENTITY intltool-home "http://freedesktop.org/wiki/Software/intltool">
+
 <!ENTITY iproute2-version "3.12.0">
 <!ENTITY iproute2-size "425 KB">