Index: otscripts/LICENSE
===================================================================
--- bootscripts/LICENSE	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,22 +1,0 @@
-Copyright (c) 2007-2009 Jim Gifford and Ryan Oliver
-
-Permission is hereby granted, free of charge, to any person obtaining
-a copy of this software and associated documentation files (the
-"Software"), to deal in the Software without restriction, including
-without limitation the rights to use, copy, modify, merge, publish,
-distribute, sublicense, and/or sell copies of the Software, and to
-permit persons to whom the Software is furnished to do so, subject to
-the following conditions:
-
-The above copyright notice and this permission notice shall be
-included in all copies or substantial portions of the Software.
-
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
-MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
-BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
-ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
-CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
-SOFTWARE.
-
Index: otscripts/Makefile
===================================================================
--- bootscripts/Makefile	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,54 +1,0 @@
-VERSION		:= 1.0-pre5
-
-ETCDIR		:= /etc
-EXTDIR		:= ${DESTDIR}${ETCDIR}
-MODE		:= 754
-DIRMODE		:= 755
-CONFMODE	:= 644
-
-all:
-	@grep "^install" Makefile | cut -d ":" -f 1
-	@echo dist
-	@echo "Select an appropriate install target from the above list" ; exit 1
-
-dist:
-	rm -rf "dist/clfs-embedded-bootscripts-$(VERSION)"
-	mkdir -p "dist/clfs-embedded-bootscripts-$(VERSION)"
-	tar --exclude dist -c * | tar -x -C "dist/clfs-embedded-bootscripts-$(VERSION)"
-	(cd dist; tar -cjf "clfs-embedded-bootscripts-$(VERSION).tar.bz2" "clfs-embedded-bootscripts-$(VERSION)")
-	rm -rf "dist/clfs-embedded-bootscripts-$(VERSION)"
-
-create-dirs:
-	install -d -m ${DIRMODE} ${EXTDIR}/rc.d/{init.d,start,stop}
-
-install-bootscripts: create-dirs
-	install -m ${CONFMODE} clfs/rc.d/init.d/functions ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} clfs/rc.d/startup         ${EXTDIR}/rc.d/
-	install -m ${MODE} clfs/rc.d/shutdown        ${EXTDIR}/rc.d/
-	install -m ${MODE} clfs/rc.d/init.d/network  ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} clfs/rc.d/init.d/syslog   ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} clfs/rc.d/init.d/bridge   ${EXTDIR}/rc.d/init.d/
-	ln -sf ../init.d/syslog ${EXTDIR}/rc.d/start/S05syslog
-	ln -sf ../init.d/syslog ${EXTDIR}/rc.d/stop/K99syslog
-	ln -sf ../init.d/network ${EXTDIR}/rc.d/start/S10network
-	ln -sf ../init.d/network ${EXTDIR}/rc.d/stop/K80network
-	ln -sf ../init.d/bridge ${EXTDIR}/rc.d/start/S09bridge
-	ln -sf ../init.d/bridge ${EXTDIR}/rc.d/stop/K81bridge
-
-install-bcm47xx: create-dirs
-	install -m ${MODE} clfs/rc.d/init.d/bcm47xx-switch ${EXTDIR}/rc.d/init.d/
-	ln -sf ../init.d/bcm47xx-switch ${EXTDIR}/rc.d/start/S08bcm47xx-switch
-	ln -sf ../init.d/bcm47xx-switch ${EXTDIR}/rc.d/stop/K82bcm47xx-switch
-
-install-dropbear: create-dirs
-	install -m ${MODE} clfs/rc.d/init.d/sshd   ${EXTDIR}/rc.d/init.d/
-	ln -sf ../init.d/sshd ${EXTDIR}/rc.d/start/S30sshd
-	ln -sf ../init.d/sshd ${EXTDIR}/rc.d/stop/K30sshd
-
-install-hostapd: create-dirs
-	install -m ${MODE} clfs/rc.d/init.d/hostapd ${EXTDIR}/rc.d/init.d
-	ln -sf ../init.d/hostapd ${EXTDIR}/rc.d/start/S08hostapd
-	ln -sf ../init.d/hostapd ${EXTDIR}/rc.d/stop/K82hostapd
-
-.PHONY: dist all create-dirs install install-bcm47xx install-dropbear \
-        install-hostapd
Index: otscripts/clfs/rc.d/init.d/bcm47xx-switch
===================================================================
--- bootscripts/clfs/rc.d/init.d/bcm47xx-switch	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,74 +1,0 @@
-#!/bin/ash
-#
-# Broadcom 47xx vlan and switch configuration init script
-#
-# Config: uses the 'nvram' settings for setting up vlan devices
-
-. /etc/rc.d/init.d/functions
-
-if [ ! -x /sbin/robocfg ]; then
-	echo -n "Setting up vlan: /sbin/robocfg not found "
-	false
-	check_status
-fi
-
-if [ ! -x /sbin/vconfig ]; then
-	echo -n "Setting up vlan: /sbin/vconfig not found "
-	false
-	check_status
-fi
-
-if [ ! -x /sbin/nvram ]; then
-	echo -n "Setting up vlan: /sbin/nvram not found "
-	false
-	check_status
-fi
-
-case "$1" in
-start)
-
-	# Add a specific workaround for the case of weirdly set wireless mac address
-	# Do what openwrt is doing, and increment the last hex with 2
-	if [ "`nvram get il0macaddr`" = 00:90:4c:5f:00:2a ]; then
-		et0="$(nvram get et0macaddr)"
-		prefix="$(echo $et0 | sed -e 's/:..$//')"
-		addendum=$(( (0x$(echo $et0 | sed -e s/.*://g) + 2) % 256 ))
-		il0=$(printf %s:%02x $prefix $addendum)
-		echo -n "Fixing up wlan0 mac address: "
-		nvram set il0macaddr=$il0 && nvram commit
-		check_status
-		ifconfig wlan0 hw ether $il0 2>/dev/null
-	fi
-
-	# eth0 has to be up for this
-	ifconfig eth0 up
-
-	robocfg switch disable
-	robocfg vlans enable reset
-
-	nvram show | grep vlan[0-4]ports= | sed -e s/vlan// -e s/ports=/\ / |
-	  while read vlan ports; do
-		echo -n "Bringing up eth0.${vlan}: "
-		robocfg vlan ${vlan} ports "${ports}" &&
-		vconfig add eth0 $vlan
-		check_status
-	done
-	robocfg switch enable
-	exit 0
-	;;
-stop)
-	# FIXME: Should we really do something at shutdown?
-	exit 0
-	;;
-restart)
-	$0 stop
-	$0 start
-	;;
-status)
-	robocfg show
-	;;
-*)
-	echo "Usage: $0 {start|stop|restart|status}"
-	exit 1
-esac
-
Index: otscripts/clfs/rc.d/init.d/bridge
===================================================================
--- bootscripts/clfs/rc.d/init.d/bridge	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,59 +1,0 @@
-#!/bin/ash
-#
-# Network interface(s) init script
-#
-# config: /etc/network.conf
-#	 /etc/network.d/interface.[devname]
-
-. /etc/rc.d/init.d/functions
-. /etc/network.conf
-
-if [ "$NETWORKING" != "yes" ] || [ "${BRIDGE_INTERFACES}" = "" ]; then
-	exit 0
-fi
-
-if [ ! -x /usr/sbin/brctl ]; then
-	echo -n "Setting up bridge: /usr/sbin/brctl not found "
-	false
-	check_status
-fi
-
-case "$1" in
-start)
-	echo -n "Adding bridge br0: "
-	brctl addbr br0
-	check_status
-
-	for n in ${BRIDGE_INTERFACES}; do
-		echo -n "Adding ${n} to bridge: "
-		brctl addif br0 ${n}
-		# Bring up the interface unless its wireless
-		# Wireless has to be configured before you can put it up
-		if [ $? = 0 ] && [ ${n} != wlan0 ]; then ifconfig ${n} up; fi
-		check_status
-	done
-	;;
-stop)
-	for n in ${BRIDGE_INTERFACES}; do
-		echo -n "Removing ${n} from bridge br0: "
-		ifconfig ${n} down 2>/dev/null
-		brctl delif br0 ${n}
-		check_status
-	done
-	echo -n "Removing bridge br0: "
-	ifconfig br0 down 2>/dev/null
-	brctl delbr br0
-	check_status
-	;;
-restart)
-	$0 stop
-	$0 start
-	;;
-status)
-	brctl show
-	;;
-*)
-	echo "Usage: $0 {start|stop|restart|status}"
-	exit 1
-esac
-
Index: otscripts/clfs/rc.d/init.d/functions
===================================================================
--- bootscripts/clfs/rc.d/init.d/functions	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,21 +1,0 @@
-# Common Routines
-#
-
-# Default Path for scripts
-#
-PATH=/bin:/sbin:/usr/bin:/usr/sbin
-
-# Check status and print
-# OK or FAIL
-#
-check_status()
-{
-	local ERR=$?
-	echo -en "\\033[65G"
-	if [ $ERR = 0 ]; then
-		echo -en "\\033[1;32mOK"
-	else
-		echo -en "\\033[1;31mFAIL"
-	fi
-	echo -e "\\033[0;39m"
-}
Index: otscripts/clfs/rc.d/init.d/hostapd
===================================================================
--- bootscripts/clfs/rc.d/init.d/hostapd	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/ash
-
-# Hostapd Startup Script
-#
-
-. /etc/rc.d/init.d/functions
-
-PIDFILE=/var/run/hostapd.pid
-
-if [ ! -x /usr/sbin/hostapd ]; then
-	echo -n "Starting hostapd: /usr/sbin/hostapd not found "
-	false
-	check_status
-	exit 0
-fi
-
-if [ ! -f /etc/hostapd.conf ]; then
-	echo -n "Starting hostapd: /etc/hostapd.conf not found "
-	false
-	check_status
-	exit 0
-fi
-
-case "$1" in
-start)
-	echo -n "Starting hostapd: "
-	hostapd -P "$PIDFILE" -B /etc/hostapd.conf
-	check_status
-	;;
-stop)
-	if [ -r "$PIDFILE" ]; then
-		echo -n "Stopping hostapd: "
-		kill `cat "$PIDFILE"`
-		check_status
-	else
-		echo "Service hostapd not running."
-	fi
-	;;
-restart)
-	$0 stop
-	$0 start
-	;;
-status)
-	if [ -r "$PIDFILE" ]; then
-		echo "Service hostapd running (PID $(cat "$PIDFILE"))."
-	else
-		echo "Service hostapd not running."
-	fi
-	;;
-*)
-	echo "Usage: $0 {start|stop|restart|status}"
-	exit 1
-esac
Index: otscripts/clfs/rc.d/init.d/network
===================================================================
--- bootscripts/clfs/rc.d/init.d/network	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,81 +1,0 @@
-#!/bin/ash
-#
-# Network interface(s) init script
-#
-# config: /etc/network.conf
-#	  /etc/network.d/interface.[devname]
-
-. /etc/rc.d/init.d/functions
-. /etc/network.conf
-
-if [ "$NETWORKING" != "yes" ]; then
-	echo "Networking is disabled in /etc/network.conf"
-	exit 0
-fi
-
-case "$1" in
-start)
-	for i in /etc/network.d/interface.*
-	do
-		if [ -r "$i" ]; then
-			. $i
-			if [ "$DHCP" = "yes" ]; then
-				echo -n "Starting DHCP for interface $INTERFACE: "
-				# udhcpc is braindead, bring up interface first
-				ifconfig "$INTERFACE" up
-
-				# Bridging code requires some time to wake up
-				[ "$INTERFACE" = "br0" ] && sleep 5
-
-				udhcpc -b -i "$INTERFACE" -s /etc/udhcpc.conf \
-					-p "/var/run/udhcpc.$INTERFACE.pid" \
-					> /dev/null
-			else
-				echo -n "Setting up interface $INTERFACE: "
-				ifconfig "$INTERFACE" "$IPADDRESS" \
-					netmask "$NETMASK" \
-					broadcast "$BROADCAST" up
-			fi
-			check_status
-	  	fi
-	done
-	
-	if [ "$USE_GATEWAY" = "yes" -a -n "$GATEWAY" ]; then
-		echo -n "Setting default route: "
-		route add default gw $GATEWAY
-		check_status
-	fi
-	;;
-stop)
-	if [ "$USE_GATEWAY" = "yes" -a -n "$GATEWAY" ]; then
-		echo -n "Removing default route: "
-		route del -net 0.0.0.0
-		check_status
-	fi
-
-	for i in /etc/network.d/interface.*
-	do
-		if [ -r "$i" ]; then
-			. $i
-			echo -n "Shutting down interface $INTERFACE: "
-			ifconfig $INTERFACE down
-			check_status
-			if [ "$DHCP" = "yes" ]; then
-				kill `cat "/var/run/udhcpc.$INTERFACE.pid"` 2>/dev/null || true
-				sleep 1
-			fi
-		fi
-	done
-	;;
-restart)
-	$0 stop
-	$0 start
-	;;
-status)
-	ifconfig
-	route
-	;;
-*)
-	echo "Usage: $0 {start|stop|restart|status}"
-	exit 1
-esac
Index: otscripts/clfs/rc.d/init.d/sshd
===================================================================
--- bootscripts/clfs/rc.d/init.d/sshd	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,54 +1,0 @@
-#!/bin/ash
-#
-# DropBear SSH
-
-. /etc/rc.d/init.d/functions
-
-DSSKEY=/etc/dropbear/dropbear_dss_host_key
-RSAKEY=/etc/dropbear/dropbear_rsa_host_key
-PIDFILE=/var/run/dropbear.pid
-
-case "$1" in
-start)
-	if [ ! -r "$DSSKEY" ]; then
-		echo -n "Generating DSS host key: "
-		dropbearkey -t dss -f "$DSSKEY" >/dev/null 2>&1
-		check_status
-	fi
-	if [ ! -r "$RSAKEY" ]; then
-		echo -n "Generating RSA host key: "
-		dropbearkey -t rsa -f "$RSAKEY" >/dev/null 2>&1
-		check_status
-	fi
-	if [ -r "$PIDFILE" ]; then
-		echo "Service dropbear already running."
-	else
-		echo -n "Starting SSH server: "
-		dropbear
-		check_status
-	fi
-	;;
-stop)
-	if [ -r "$PIDFILE" ]; then
-		echo -n "Stopping dropbear SSH server: "
-		kill `cat "$PIDFILE"`
-		check_status
-	else
-		echo "Service dropbear not running."
-	fi
-	;;
-restart)
-	$0 stop
-	$0 start
-	;;
-status)
-	if [ -r "$PIDFILE" ]; then
-		echo "Service dropbear running (PID $(cat "$PIDFILE"))."
-	else
-		echo "Service dropbear not running."
-	fi
-	;;
-*)
-	echo "Usage: $0 {start|stop|restart|status}"
-	exit 1
-esac
Index: otscripts/clfs/rc.d/init.d/syslog
===================================================================
--- bootscripts/clfs/rc.d/init.d/syslog	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,34 +1,0 @@
-#!/bin/ash
-
-# Syslog Startup Script
-#
-
-. /etc/rc.d/init.d/functions
-
-SYSLOG_ROTATE_SIZE=65536
-
-case "$1" in
-start)
-	echo -n "Starting syslogd: "
-	syslogd -m 0 -s $SYSLOG_ROTATE_SIZE -L
-	check_status
-	echo -n "Starting klogd: "
-	klogd
-	check_status
-	;;
-stop)
-	echo -n "Stopping klogd: "
-	killall klogd
-	check_status
-	echo -n "Stopping syslogd: "
-	killall syslogd
-	check_status
-	;;
-restart)
-	$0 stop
-	$0 start
-	;;
-*)
-	echo "Usage: $0 {start|stop|restart}"
-	exit 1
-esac
Index: otscripts/clfs/rc.d/shutdown
===================================================================
--- bootscripts/clfs/rc.d/shutdown	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,40 +1,0 @@
-#!/bin/ash
-
-# System Shutdown Script
-#
-
-. /etc/rc.d/init.d/functions
-
-echo
-echo "System is going down for reboot or halt now."
-echo
-
-
-echo "Starting stop scripts."
-
-for i in /etc/rc.d/stop/*
-do
-	if [ -x $i ]; then
-		$i stop
-	fi
-done
-
-if [ -x /sbin/hwclock ] && [ -e /dev/rtc ]; then
-	echo -n "Syncing hardware clock to system clock:"
-	hwclock --systohc --utc
-	check_status
-fi
-
-if [ -x /sbin/swapoff ]; then
-	echo -n "Disabling swap space: "
-	swapoff -a
-	check_status
-fi
-
-echo -n "Syncing all filesystems: "
-sync
-check_status
-
-echo -n "Unmounting all filesystems: "
-umount -a -r
-
Index: otscripts/clfs/rc.d/startup
===================================================================
--- bootscripts/clfs/rc.d/startup	(revision 65b296c36f06d5a26d4200e863ee5e13baae24db)
+++ 	(revision )
@@ -1,90 +1,0 @@
-#!/bin/ash
-
-# System Startup Script
-# 
-. /etc/rc.d/init.d/functions
-
-/bin/mount -t proc none /proc
-/bin/mount -t sysfs none /sys
-/bin/mount -t tmpfs /tmp /tmp
-/bin/mount -t tmpfs -o mode=0755 none /dev
-/bin/mkdir /dev/pts
-/bin/mkdir /dev/shm
-/bin/mount -t tmpfs -o mode=0755 /var /var
-for x in cache lib lib/misc lib/locate local lock log mail opt run spool; do mkdir /var/$x; done
-ln -s ../tmp /var/tmp
-
-/bin/echo "/sbin/mdev" > /proc/sys/kernel/hotplug
-
-echo -n "Starting mdev: "
-/sbin/mdev -s
-check_status
-
-echo -n "Mounting devpts: "
-mount /dev/pts
-check_status
-
-if [ -x /sbin/hwclock ] && [ -e /dev/rtc ]; then
-	echo -n "Setting system clock: "
-	hwclock --hctosys --utc
-	check_status
-fi
-
-if [ -x /sbin/fsck ]; then
-	echo "Starting fsck for local filesystems."
-	fsck -A -C -R -T -t nonfs,nosmbfs
-	if [ "$?" -gt 2 ]; then
-		echo "WARNING: Errors found while checking filesystems."
-		echo "You can login as root now, the system will reboot after logout."
-		sulogin
-		reboot
-	elif [ "$?" = "2" ]; then
-		echo "NOTICE: System needs to be rebooted now."
-		sleep 1
-		reboot
-	else
-		echo -n "Checking local filesystems: "
-		check_status
-	fi
-fi
-
-
-if [ -x /sbin/swapon ]; then
-	echo -n "Enabling swap space: "
-	swapon -a
-	check_status
-fi
-
-echo -n "Remounting root rw: "
-mount -o remount,rw /
-check_status
-
-echo -n "Setting hostname: "
-hostname -F /etc/HOSTNAME
-check_status
-
-echo -n "Cleaning up system: "
-> /var/run/utmp
-touch /var/log/wtmp
-touch /var/log/messages
-chmod 0664 /var/run/utmp
-chmod 0664 /var/log/wtmp
-chmod 0660 /var/log/messages
-rm -rf /tmp/*
-rm -f /var/run/*.pid
-check_status
-
-echo -n "Setting up interface lo: "
-ifconfig lo up 127.0.0.1
-check_status
-
-echo "Running start scripts."
-
-for i in /etc/rc.d/start/*
-do
-	if [ -x $i ]; then
-		$i start
-	fi
-done
-
-exit 0