Index: OK/cross-tools/common/ppl.xml
===================================================================
--- BOOK/cross-tools/common/ppl.xml	(revision 2a2d3fb01afb6e38de711310d473f0177b0afb95)
+++ 	(revision )
@@ -1,72 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-cross-tools-ppl" role="wrap">
-  <?dbhtml filename="ppl.html"?>
-
-  <title>PPL-&ppl-version;</title>
-
-  <indexterm zone="ch-cross-tools-ppl">
-    <primary sortas="a-PPL">PPL</primary>
-    <secondary>cross-tools</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/ppl.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of PPL</title>
-
-    <para os="a">Prepare PPL for compilation:</para>
-
-<screen os="b"><userinput>CPPFLAGS="-I/cross-tools/include" \
-    LDFLAGS="-Wl,-rpath,/cross-tools/lib" \
-    ./configure --prefix=/cross-tools --enable-shared --disable-static \
-    --enable-interfaces="c,cxx" --disable-optimization \
-    --with-gmp=/cross-tools</userinput></screen>
-
-    <variablelist os="b1">
-      <title>The meaning of the new configure option:</title>
-
-      <varlistentry>
-        <term><parameter>--enable-interfaces="c,cxx"</parameter></term>
-        <listitem>
-          <para>Tells <command>configure</command> to enable support for both
-          C and C++.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry>
-        <term><parameter>--disable-optimization</parameter></term>
-        <listitem>
-          <para>Tells <command>configure</command> to build PPL without
-          compiler optimizations, which are not needed for the Cross-Tools.</para>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-    <para os="c">Compile the package:</para>
-
-<screen os="d"><userinput>make</userinput></screen>
-
-    <para os="e">Install the package:</para>
-
-<screen os="f"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-ppl" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/final-system/common/ppl.xml
===================================================================
--- BOOK/final-system/common/ppl.xml	(revision 2a2d3fb01afb6e38de711310d473f0177b0afb95)
+++ 	(revision )
@@ -1,141 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-ppl" role="wrap">
-  <?dbhtml filename="ppl.html"?>
-
-  <title>PPL-&ppl-version;</title>
-
-  <indexterm zone="ch-system-ppl">
-    <primary sortas="a-PPL">PPL</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title/>
-
-    <para>The Parma Polyhedra Library (PPL) provides numerical abstractions
-    especially targeted at applications in the field of analysis and
-    verification of complex systems.  CLooG-PPL requires this library.</para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of PPL</title>
-
-    <para os="a">Prepare PPL for compilation:</para>
-
-<screen os="b"><userinput>CPPFLAGS=-fexceptions CC="gcc -isystem /usr/include" \
-CXX="g++ -isystem /usr/include" \
-LDFLAGS="-Wl,-rpath-link,/usr/lib:/lib" \
-  ./configure --prefix=/usr --enable-shared \
-    --disable-optimization</userinput></screen>
-
-    <para os="c">Compile the package:</para>
-
-<screen os="d"><userinput>make</userinput></screen>
-
-    <important os="e">
-      <para>The test suite for PPL is considered
-      critical. Do not skip it under any circumstance.</para>
-    </important>
-
-    <para os="f">Test the results:</para>
-
-<screen os="g"><userinput>make check</userinput></screen>
-
-    <para os="h">Install the package:</para>
-
-<screen os="i"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 id="contents-ppl" role="content">
-    <title>Contents of PPL</title>
-
-    <segmentedlist>
-      <segtitle>Installed programs</segtitle>
-      <segtitle>Installed libraries</segtitle>
-      <segtitle>Installed directories</segtitle>
-
-      <seglistitem>
-        <seg>ppl-config, ppl_lcdd, ppl_pips</seg>
-        <seg>libppl.[a,so], libppl_c.[a,so]</seg>
-        <seg>/usr/share/doc/ppl</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="ppl-config">
-        <term><command>ppl-config</command></term>
-        <listitem>
-          <para>Outputs information about the PPL installation</para>
-          <indexterm zone="ch-system-ppl ppl-config">
-            <primary sortas="b-ppl-config">ppl-config</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="ppl_lcdd">
-        <term><command>ppl_lcdd</command></term>
-        <listitem>
-          <para>Reads an H-representation of a polyhedron and generates a
-          V-representation of the same polyhedron</para>
-          <indexterm zone="ch-system-ppl ppl_lcdd">
-            <primary sortas="b-ppl_lcdd">ppl_lcdd</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="ppl_pips">
-        <term><command>ppl_pips</command></term>
-        <listitem>
-          <para>A PPL-based parametric integer programming problem solver</para>
-          <indexterm zone="ch-system-ppl ppl_pips">
-            <primary sortas="b-ppl_pips">ppl_pips</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libppl">
-        <term><filename class="libraryfile">libppl</filename></term>
-        <listitem>
-          <para>The Parma Polyhedra Library (PPL).</para>
-          <indexterm zone="ch-system-ppl libppl">
-            <primary sortas="c-libppl">libppl</primary>
-          </indexterm>
-	    </listitem>
-      </varlistentry>
-
-      <varlistentry id="libppl_c">
-        <term><filename class="libraryfile">libppl_c</filename></term>
-        <listitem>
-          <para>The Parma Polyhedra Library bindings for C.</para>
-          <indexterm zone="ch-system-ppl libppl_c">
-            <primary sortas="c-libppl_c">libppl_c</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libpwl">
-        <term><filename class="libraryfile">libpwl</filename></term>
-        <listitem>
-          <para>The Parma Watchdog Library</para>
-          <indexterm zone="ch-system-ppl libpwl">
-            <primary sortas="c-libpwl">libpwl</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: OK/final-system/mips64/ppl-64bit.xml
===================================================================
--- BOOK/final-system/mips64/ppl-64bit.xml	(revision 2a2d3fb01afb6e38de711310d473f0177b0afb95)
+++ 	(revision )
@@ -1,102 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-ppl" role="wrap">
-  <?dbhtml filename="ppl-64bit.html"?>
-
-  <title>PPL-&ppl-version; 64 Bit</title>
-
-  <indexterm zone="ch-system-ppl">
-    <primary sortas="a-PPL">PPL</primary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/ppl.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of PPL</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/ppl-64bit.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/ppl-64bit.xml"
-    xpointer="xpointer(//*[@os='m1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/ppl-64bit.xml"
-    xpointer="xpointer(//*[@os='m2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/ppl-64bit.xml"
-    xpointer="xpointer(//*[@os='j'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../multilib/ppl-64bit.xml"
-    xpointer="xpointer(//*[@os='k'])"/>
-
-    <para os="l">Finally, create a stub header in the place of the originals:</para>
-
-<screen os="m"><userinput>cat &gt; /usr/include/ppl.h &lt;&lt; "EOF"
-/* ppl.hh - Stub Header  */
-#ifndef __STUB__PPL_HH__
-#define __STUB__PPL_HH__
-
-#include &lt;sgidefs.h&gt;
-
-#if (_MIPS_SIM == _ABIO32)
-# include "ppl-32.hh"
-#elif (_MIPS_SIM == _ABIN32)
-# include "ppl-n32.hh"
-#elif (_MIPS_SIM == _ABI64)
-# include "ppl-64.hh"
-#endif
-
-#endif /* __STUB__PPL_HH__ */
-EOF</userinput></screen>
-
-  </sect2>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/ppl.xml"
-  xpointer="xpointer(id('contents-ppl'))"/>
-
-</sect1>
Index: OK/final-system/multilib/ppl-64bit.xml
===================================================================
--- BOOK/final-system/multilib/ppl-64bit.xml	(revision 2a2d3fb01afb6e38de711310d473f0177b0afb95)
+++ 	(revision )
@@ -1,98 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-ppl" role="wrap">
-  <?dbhtml filename="ppl-64bit.html"?>
-
-  <title>PPL-&ppl-version; 64 Bit</title>
-
-  <indexterm zone="ch-system-ppl">
-    <primary sortas="a-PPL">PPL</primary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/ppl.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of PPL</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>CPPFLAGS=-fexceptions CC="gcc -isystem /usr/include ${BUILD64}" \
-CXX="g++ -isystem /usr/include ${BUILD64}" \
-LDFLAGS="-Wl,-rpath-link,/usr/lib64:/lib64 ${BUILD64}" \
-  ./configure --prefix=/usr --libdir=/usr/lib64 \
-    --enable-shared --disable-optimization</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <para os="m1">Prepare <filename>ppl-config</filename> to be wrapped by
-    the multiarch wrapper and then wrap it:</para>
-
-<screen os="m2"><userinput>mv -v /usr/bin/ppl-config{,-64}
-ln -svf multiarch_wrapper /usr/bin/ppl-config</userinput></screen>
-
-    <para os="j">Create the 64bit header file:</para>
-
-<screen os="k"><userinput>mv -v /usr/include/ppl{,-64}.hh</userinput></screen>
-
-    <para os="l">Finally, create a stub header in the place of the originals:</para>
-
-<screen os="m"><userinput>cat &gt; /usr/include/ppl.hh &lt;&lt; "EOF"
-/* ppl.hh - Stub Header  */
-#ifndef __STUB__PPL_HH__
-#define __STUB__PPL_HH__
-
-#if defined(__x86_64__) || \
-    defined(__sparc64__) || \
-    defined(__arch64__) || \
-    defined(__powerpc64__) || \
-    defined (__s390x__)
-# include "ppl-64.h"
-#else
-# include "ppl-32.h"
-#endif
-
-#endif /* __STUB__PPL_HH__ */
-EOF</userinput></screen>
-
-  </sect2>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/ppl.xml"
-  xpointer="xpointer(id('contents-ppl'))"/>
-
-</sect1>
Index: OK/final-system/multilib/ppl-n32.xml
===================================================================
--- BOOK/final-system/multilib/ppl-n32.xml	(revision 2a2d3fb01afb6e38de711310d473f0177b0afb95)
+++ 	(revision )
@@ -1,83 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-ppl-n32" role="wrap">
-  <?dbhtml filename="ppl-n32.html"?>
-
-  <title>PPL-&ppl-version; N32 Libraries</title>
-
-  <indexterm zone="ch-system-ppl-n32">
-    <primary sortas="a-PPL">PPL</primary>
-    <secondary>N32</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/ppl.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of PPL</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>CPPFLAGS=-fexceptions CC="gcc -isystem /usr/include ${BUILDN32}" \
-CXX="g++ -isystem /usr/include ${BUILDN32}" \
-LDFLAGS="-Wl,-rpath-link,/usr/lib32:/lib32 ${BUILDN32}" \
-  ./configure --prefix=/usr --libdir=/usr/lib32 \
-    --enable-shared --disable-optimization</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="ppl.xml"
-    xpointer="xpointer(//*[@os='m1'])"/>
-
-<screen os="m2"><userinput>mv -v /usr/bin/ppl-config{,-n32}</userinput></screen>
-
-    <para os="j">Create the N32 header file:</para>
-
-<screen os="k"><userinput>mv -v /usr/include/ppl{,-n32}.hh</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-ppl" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/final-system/multilib/ppl.xml
===================================================================
--- BOOK/final-system/multilib/ppl.xml	(revision 2a2d3fb01afb6e38de711310d473f0177b0afb95)
+++ 	(revision )
@@ -1,83 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-system-ppl-32" role="wrap">
-  <?dbhtml filename="ppl.html"?>
-
-  <title>PPL-&ppl-version; 32 Bit Libraries</title>
-
-  <indexterm zone="ch-system-ppl-32">
-    <primary sortas="a-PPL">PPL</primary>
-    <secondary>32 Bit</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../common/ppl.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of PPL</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>CPPFLAGS=-fexceptions CC="gcc -isystem /usr/include ${BUILD32}" \
-CXX="g++ -isystem /usr/include ${BUILD32}" \
-LDFLAGS="-Wl,-rpath-link,/usr/lib:/lib ${BUILD32}" \
-  ./configure --prefix=/usr --host=${CLFS_TARGET32} \
-    --enable-shared --disable-optimization</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <para os="m1">Prepare <filename>ppl-config</filename> to be wrapped by
-    the multiarch wrapper:</para>
-
-<screen os="m2"><userinput>mv -v /usr/bin/ppl-config{,-32}</userinput></screen>
-
-    <para os="j">One of the headers installed by PPL is architecture specific. Programs compiled as 32bit will require the header provided by the 32bit installation of PPL. The same applies for 64bit programs. Move the header so a wrapper can be put in its place later:</para>
-
-<screen os="k"><userinput>mv -v /usr/include/ppl{,-32}.hh</userinput></screen>
-
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-ppl" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/temp-system/64/ppl.xml
===================================================================
--- BOOK/temp-system/64/ppl.xml	(revision 2a2d3fb01afb6e38de711310d473f0177b0afb95)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-temp-system-ppl" role="wrap">
-  <?dbhtml filename="ppl.html"?>
-
-  <title>PPL-&ppl-version;</title>
-
-  <indexterm zone="ch-temp-system-ppl">
-    <primary sortas="a-PPL">PPL</primary>
-    <secondary>temporary system</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/ppl.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of PPL</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
-    --enable-interfaces="c,cxx" --enable-shared --disable-optimization  \
-    --with-gmp-include=/tools/include --with-gmp-lib=/tools/lib</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-        
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-ppl" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/temp-system/common/ppl.xml
===================================================================
--- BOOK/temp-system/common/ppl.xml	(revision 2a2d3fb01afb6e38de711310d473f0177b0afb95)
+++ 	(revision )
@@ -1,50 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-temp-system-ppl" role="wrap">
-  <?dbhtml filename="ppl.html"?>
-
-  <title>PPL-&ppl-version;</title>
-
-  <indexterm zone="ch-temp-system-ppl">
-    <primary sortas="a-PPL">PPL</primary>
-    <secondary>temporary system</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/ppl.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of PPL</title>
-
-    <para os="a">Prepare PPL for compilation:</para>
-
-<screen os="b"><userinput>./configure --prefix=/tools \
-    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
-    --enable-interfaces="c,cxx" --enable-shared --disable-optimization \
-    --with-gmp-include=/tools/include --with-gmp-lib=/tools/lib</userinput></screen>
-
-    <para os="c">Compile the package:</para>
-
-<screen os="d"><userinput>make</userinput></screen>
-
-    <para os="e">Install the package:</para>
-
-<screen os="f"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-ppl" role="."/></para>
-
-  </sect2>
-
-</sect1>
Index: OK/temp-system/multilib/ppl.xml
===================================================================
--- BOOK/temp-system/multilib/ppl.xml	(revision 2a2d3fb01afb6e38de711310d473f0177b0afb95)
+++ 	(revision )
@@ -1,61 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-temp-system-ppl" role="wrap">
-  <?dbhtml filename="ppl.html"?>
-
-  <title>PPL-&ppl-version;</title>
-
-  <indexterm zone="ch-temp-system-ppl">
-    <primary sortas="a-PPL">PPL</primary>
-    <secondary>temporary system</secondary>
-  </indexterm>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-  href="../../final-system/common/ppl.xml"
-  xpointer="xpointer(//*[@role='package'])"/>
-
-  <sect2 role="installation">
-    <title>Installation of PPL</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='a'])"/>
-
-<screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
-    --build=${CLFS_HOST} --host=${CLFS_TARGET} \
-    --enable-interfaces="c,cxx" --libdir=/tools/lib64 \
-    --enable-shared --disable-optimization  \
-    --with-gmp-include=/tools/include --with-gmp-lib=/tools/lib</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
-        
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/ppl.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title/>
-
-    <para>Details on this package are located in <xref
-    linkend="contents-ppl" role="."/></para>
-
-  </sect2>
-
-</sect1>